/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.96-7
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with: 
Works with Raspberry pi
****************************************************/

#include <bcm2835.h>
#include <stdio.h>
#include <time.h>
#include "sh1107.h"

char value[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
int main(int argc, char **argv)
{
    time_t now;
    struct tm *timenow;
    if(!bcm2835_init())
    {
        return -1;
    }
    printf("OLED begin\r\n");
    SH1107_begin();
    printf("OLED bitmap\r\n");
    SH1107_bitmap(0, 0, PIC1, 64, 128);
    SH1107_display();
    bcm2835_delay(3000);
    printf("OLED clear\r\n");
    SH1107_clear();
    printf("OLED bitmap\r\n");
    SH1107_bitmap(0, 0, PIC2, 64, 128);
    SH1107_display();
    bcm2835_delay(3000);
    printf("OLED clear\r\n");
    SH1107_clear();
    printf("OLED display time\r\n");
    while(1)
    {
        time(&now);
        timenow = localtime(&now);

        SH1107_bitmap(0, 0, Signal816, 16, 8); 
        SH1107_bitmap(19, 0, Msg816, 16, 8); 
        SH1107_bitmap(38, 0, Bluetooth88, 8, 8); 
        SH1107_bitmap(52, 0, GPRS88, 8, 8); 
   

	if((timenow->tm_sec % 2)==0)
        SH1107_string(4, 112, "buydisplay", 12, 0); 
        else
        SH1107_string(4, 112, "buydisplay", 12, 1);
 
        SH1107_string(12, 26, "Time:", 16, 0); 


        SH1107_char(0, 65, value[timenow->tm_hour / 10], 16, 1);
        SH1107_char(8, 65, value[timenow->tm_hour % 10], 16, 1);
        SH1107_char(16, 65, ':' , 16, 1);
        SH1107_char(24, 65, value[timenow->tm_min / 10], 16, 1);
        SH1107_char(32, 65, value[timenow->tm_min % 10], 16, 1);
        SH1107_char(40, 65, ':' , 16, 1);
        SH1107_char(48, 65, value[timenow->tm_sec / 10], 16, 1);
        SH1107_char(56, 65, value[timenow->tm_sec % 10], 16, 1);



        SH1107_display();
    }
    bcm2835_spi_end();
    bcm2835_close();
    return 0;
}

